package cn.com.qmth.examcloud.core.questions.service;

import java.util.Map;
import java.util.Set;

import cn.com.qmth.examcloud.commons.web.security.bean.User;
import cn.com.qmth.examcloud.core.questions.api.bean.PaperK12Bean;
import cn.com.qmth.examcloud.question.core.paper.DefaultPaper;

/**
 * @author 		weiwenhai
 * @date 		2018.10.8
 * @company		qmth
 * @description	试卷对象服务接口
 */
public interface PaperProviderService {

	/**
	 * 根据id集合查询试题集合
	 * @param questionIds
	 * @return
	 */
	public String genPaper(Set<String> questionIds,Map<String, PaperK12Bean> map,String paperName,User user);
	
	/**
	 * 根据试卷id查询试卷
	 * @param paperId
	 * @return
	 */
	public DefaultPaper findPaper(String paperId);
	
}
